package com.tzld.longarticle.recommend.server;


import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import org.mybatis.spring.boot.autoconfigure.MybatisAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisReactiveAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;


/**
 * https://github.com/grpc-swagger/grpc-swagger/blob/master/README_CN.md
 */
@SpringBootApplication(exclude = {
        RedisReactiveAutoConfiguration.class,
        MybatisAutoConfiguration.class
})
@ComponentScan({
        "com.tzld.longarticle.recommend.server.service",
        "com.tzld.longarticle.recommend.server.remote",
        "com.tzld.longarticle.recommend.server.config",
        "com.tzld.longarticle.recommend.server.web",
        "com.tzld.longarticle.recommend.server.util",
        "com.tzld.longarticle.recommend.server.repository",
})
@EnableAspectJAutoProxy
@EnableApolloConfig
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }

}

