package com.tzld.longarticle.recommend.server.service;

import com.ctrip.framework.apollo.spring.annotation.ApolloJsonValue;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
@Slf4j
public class StrategyIndexScoreWeightService {

    @ApolloJsonValue("${strategyIndexScoreWeightConfig:{}}")
    private Map<String, Map<String, Map<String, Double>>> strategyIndexScoreWeightMap;

    public double getWeight(String strategy, Integer index, String score) {
        Map<String, Map<String, Double>> indexMap = strategyIndexScoreWeightMap.get(strategy);
        if (indexMap == null) {
            return 1.0;
        }
        Map<String, Double> scoreMap = indexMap.get(String.valueOf(index));
        if (scoreMap == null) {
            return 1.0;
        }
        Double weight = scoreMap.get(score);
        if (weight == null) {
            return 1.0;
        }
        return weight;
    }
}
