package com.tzld.longarticle.recommend.server.service.cgi;

import com.alibaba.fastjson.JSON;
import com.tzld.longarticle.recommend.server.model.cgi.GroupData;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Service;
import org.springframework.web.reactive.function.BodyInserters;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

import java.util.List;
import java.util.UUID;

@Service
public class TouLiuHttpClientService {

//    private final WebClient webClient;
//
//    public HttpClientService(String baseUrl) {
//        this.webClient = WebClient.builder()
//                .baseUrl(baseUrl)
//                .build();
//    }

    public String sendAdFlowAddRequest(String baseUrl, String videoId, String putTypeOne,
                                       String putTypeTwo, String putTypeThree, String putCarrierId) {
        WebClient webClient = WebClient.builder()
                .baseUrl(baseUrl)
                .build();
        UUID uuid = UUID.randomUUID();
        // 构建请求体  
        String jsonBody = "{" +
                "\"videoId\":\"" + videoId + "\"," +
                "\"putScene\":\"" + "touliu" + "\"," +
                "\"channel\":\"" + "tencentgzh" + "\"," +
                "\"remark\":\"" + "自动" + "\"," +
                "\"putTypeOne\":\"" + putTypeOne + "\"," +
                "\"putTypeTwo\":\"" + putTypeTwo + "\"," +
                "\"putTypeThree\":\"" + putTypeThree + "\"," +
                "\"putCarrierId\":\"" + putCarrierId + "\"," +
                "\"path\":\"" + "pages/category" + "\"," +
                "\"requestParam\":{" +
                "\"jumpPage\":\"" + "pages/user-videos?id=" + videoId + "&fromGzh=1&rootShareId=" + uuid + "&shareId=" + uuid + "&rootSourceId=[rootSourceId]" + "\"" +
                "}" +
                "}";

        // 发送POST请求  
        Mono<String> result = webClient.post()
                .uri("/ad/put/flow/add/tencent")
                .contentType(MediaType.APPLICATION_JSON)
                .body(BodyInserters.fromValue(jsonBody))
                .retrieve()
                .bodyToMono(String.class);
        return result.block();
    }

    public List<GroupData> sendPenGongBaseRequest(String ghId) {
        WebClient webClient = WebClient.builder()
                .baseUrl("http://47.99.132.47:8813")
                .build();
        // 构建请求体
        String jsonBody = "{\"ghId\": \"" + ghId + "\"}";

        // 发送POST请求
        Mono<String> result = webClient.post()
                .uri("/VideoRank")
                .contentType(MediaType.APPLICATION_JSON)
                .body(BodyInserters.fromValue(jsonBody))
                .retrieve()
                .bodyToMono(String.class);
        String block = result.block();
        return JSON.parseArray(block, GroupData.class);
    }

    // 注意：在实际使用时，你还需要导入相关类和处理异常，以及添加@Service注解到你的服务类上  
    // 另外，请确保MediaType已正确导入，它来自org.springframework.http包  
}